Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.model
Class BasicEditPointConstraint

    java.lang.Object
      jpicedt.graphic.model.BasicEditPointConstraint

All Implemented Interfaces:
  EditPointConstraint

public class BasicEditPointConstraint
extends Object
implements EditPointConstraint

Default implementation of EditPointConstraint.

Since:
  jPicEdt 1.3.3
Version:
  $Id: BasicEditPointConstraint.java,v 1.5.2.1 2007/09/02 11:56:26 reynal Exp $
Author:
  $Author: reynal $

Constructor Summary
`BasicEditPointConstraint(String displayName)` Create a new constraint with the given name ; this maybe a help message for the GUI for instance.

Method Summary
`EditPointConstraintCollator` | `and(EditPointConstraint c)` Returns a new constraint made of this constraint AND'd with the given constraint.
`String` | `getDisplayName()`
`boolean` | `imposes(EditPointConstraint c)` Returns true if this constraint imposes the given constraint.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicEditPointConstraint

    public BasicEditPointConstraint(String displayName)

  Create a new constraint with the given name ; this maybe a help message for the GUI for instance.

Method Detail

### and

    public EditPointConstraintCollator and(EditPointConstraint c)

  Returns a new constraint made of this constraint AND'd with the given constraint.

### imposes

    public boolean imposes(EditPointConstraint c)

  Description copied from interface: `EditPointConstraint`
  Returns true if this constraint imposes the given constraint. This is useful for constraints which may contain several AND'd constraints at once.

  Specified by:
    `imposes` in interface `EditPointConstraint`

### getDisplayName

    public String getDisplayName()

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org